MacWrtProParserInternal::TextZoneData Struct Reference

Internal: a struct used to store a text zone. More...

## Public Member Functions

| TextZoneData ()

## Public Attributes

int | m_type
| the type
int | m_length
| the text length
int | m_id
| an id

## Friends

std::ostream & | operator<< (std::ostream &o, TextZoneData const &tData)

## Detailed Description

Internal: a struct used to store a text zone.

## Constructor & Destructor Documentation

## TextZoneData()

MacWrtProParserInternal::TextZoneData::TextZoneData | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | TextZoneData const & | tData )

friend

## Member Data Documentation

## m_id

int MacWrtProParserInternal::TextZoneData::m_id

an id

Referenced by operator<<, MacWrtProParser::readTextIds(), and TextZoneData().

## m_length

int MacWrtProParserInternal::TextZoneData::m_length

the text length

Referenced by operator<<, MacWrtProParser::readTextIds(), and TextZoneData().

## m_type

int MacWrtProParserInternal::TextZoneData::m_type

the type

Referenced by operator<<, MacWrtProParser::readTextIds(), and TextZoneData().

The documentation for this struct was generated from the following file:

- MacWrtProParser.cxx